Package org.apache.lucene.internal.hppc

## Class LongHashSet.EntryIterator

- java.lang.Object
- - org.apache.lucene.internal.hppc.AbstractIterator<LongCursor>
  - - org.apache.lucene.internal.hppc.LongHashSet.EntryIterator

- All Implemented Interfaces:
    `Iterator<LongCursor>`
  Enclosing class:
    LongHashSet

      protected final class LongHashSet.EntryIterator
      extends AbstractIterator<LongCursor>

  An iterator implementation for `LongHashSet.iterator()`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EntryIterator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected LongCursor` | `fetch()` | Fetch next element.

    - ### Methods inherited from class org.apache.lucene.internal.hppc.AbstractIterator

      `done, hasNext, next, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### EntryIterator

          public EntryIterator()

  - ### Method Detail

    - #### fetch

          protected LongCursor fetch()

      Description copied from class: `AbstractIterator`
      Fetch next element. The implementation must return `AbstractIterator.done()` when all elements have been fetched.
      Specified by:
        `fetch` in class `AbstractIterator<LongCursor>`
      Returns:
        Returns the next value for the iterator or chain-calls `AbstractIterator.done()`.